org.apache.geode.i18n

## Class StringId

- java.lang.Object
- - org.apache.geode.i18n.StringId

-     public class StringId
      extends java.lang.Object

  This class forms the basis of the i18n strategy. Its primary function is to be used as a key to be passed to an instance of StringIdResourceBundle.
  Since:
    GemFire 6.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `id` A unique identifier that is written when this StringId is logged to allow for reverse translation.
    `static StringId` | `LITERAL` A StringId to allow users to log a literal String using the `LogWriterI18n`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringId(int id, java.lang.String text)` Gemstone internal constructor, customers have no need to create instances of this class.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getRawText()` Accessor for the raw (unformatted) text of this StringId
    `static void` | `setLocale(java.util.Locale l)`
    `java.lang.String` | `toLocalizedString()`
    `java.lang.String` | `toLocalizedString(java.lang.Object... params)` Substitutes parameter Objects into the text
    `java.lang.String` | `toString()`
    `java.lang.String` | `toString(java.lang.Object... params)` Substitutes parameter Objects into the text

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### id

          public final int id

      A unique identifier that is written when this StringId is logged to allow for reverse translation.
      See Also:
        `LogWriterImpl`

    - #### LITERAL

          public static final StringId LITERAL

      A StringId to allow users to log a literal String using the `LogWriterI18n`

  - ### Constructor Detail

    - #### StringId

          public StringId(int id,
                          java.lang.String text)

      Gemstone internal constructor, customers have no need to create instances of this class.

  - ### Method Detail

    - #### setLocale

          public static void setLocale(java.util.Locale l)

    - #### getRawText

          public java.lang.String getRawText()

      Accessor for the raw (unformatted) text of this StringId
      Returns:
        unformated text

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the English translation of this StringId

    - #### toString

          public java.lang.String toString(java.lang.Object... params)

      Substitutes parameter Objects into the text
      Returns:
        the English translation of this StringId
      See Also:
        `MessageFormat`

    - #### toLocalizedString

          public java.lang.String toLocalizedString()

      Returns:
        the translation of this StringId based on the current `Locale`

    - #### toLocalizedString

          public java.lang.String toLocalizedString(java.lang.Object... params)

      Substitutes parameter Objects into the text
      Returns:
        the translation of this StringId based on the current `Locale`
      See Also:
        `MessageFormat`